com.genesyslab.wfm8.API.service.adherence810

## Class AdhTotalsHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.adherence810.AdhTotalsHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhTotalsHolder
      extends java.lang.Object
      implements java.io.Serializable

  `AdhTotals` holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Response timestamp value
    `protected java.util.List<AdhTotals>` | `wmTotals` An array of `AdhTotals`
    `protected int` | `wmTotalsNSizeIs` Number of elements in wmTotals array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhTotalsHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<AdhTotals>` | `getWmTotals()` Gets the value of the wmTotals property.
    `int` | `getWmTotalsNSizeIs()` Gets the value of the wmTotalsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmTotals(java.util.List<AdhTotals> wmTotals)` Sets the value of the wmTotals property.
    `void` | `setWmTotalsNSizeIs(int value)` Sets the value of the wmTotalsNSizeIs property.
    `java.lang.String` | `toString()`
    `AdhTotalsHolder` | `withTimestamp(long value)`
    `AdhTotalsHolder` | `withWmTotals(AdhTotals... values)`
    `AdhTotalsHolder` | `withWmTotals(java.util.Collection<AdhTotals> values)`
    `AdhTotalsHolder` | `withWmTotalsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTotalsNSizeIs

          protected int wmTotalsNSizeIs

      Number of elements in wmTotals array

    - #### wmTotals

          protected java.util.List<AdhTotals> wmTotals

      An array of `AdhTotals`

    - #### timestamp

          protected long timestamp

      Response timestamp value

  - ### Constructor Detail

    - #### AdhTotalsHolder

          public AdhTotalsHolder()

  - ### Method Detail

    - #### getWmTotalsNSizeIs

          public int getWmTotalsNSizeIs()

      Gets the value of the wmTotalsNSizeIs property.

    - #### setWmTotalsNSizeIs

          public void setWmTotalsNSizeIs(int value)

      Sets the value of the wmTotalsNSizeIs property.

    - #### getWmTotals

          public java.util.List<AdhTotals> getWmTotals()

      Gets the value of the wmTotals property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmTotals property.

      For example, to add a new item, do as follows:

              getWmTotals().add(newItem);

      Objects of the following type(s) are allowed in the list `AdhTotals`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmTotalsNSizeIs

          public AdhTotalsHolder withWmTotalsNSizeIs(int value)

    - #### withWmTotals

          public AdhTotalsHolder withWmTotals(AdhTotals... values)

    - #### withWmTotals

          public AdhTotalsHolder withWmTotals(java.util.Collection<AdhTotals> values)

    - #### withTimestamp

          public AdhTotalsHolder withTimestamp(long value)

    - #### setWmTotals

          public void setWmTotals(java.util.List<AdhTotals> wmTotals)

      Sets the value of the wmTotals property.
      Parameters:
        `wmTotals` - allowed object is `AdhTotals`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.